package com.ruoyi.system.service.impl;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.system.mapper.IntroductionMapper;
import com.ruoyi.system.domain.Introduction;
import com.ruoyi.system.service.IIntroductionService;

@Service
public class IntroductionServiceImpl implements IIntroductionService
{
    @Autowired
    private IntroductionMapper introductionMapper;

    @Override
    public Introduction selectIntroductionById(Long introId)
    {
        return introductionMapper.selectIntroductionById(introId);
    }

    @Override
    public Introduction selectIntroductionOne()
    {
        return introductionMapper.selectIntroductionOne();
    }

    @Override
    public int insertIntroduction(Introduction introduction)
    {
        return introductionMapper.insertIntroduction(introduction);
    }

    @Override
    public int updateIntroduction(Introduction introduction)
    {
        return introductionMapper.updateIntroduction(introduction);
    }

    @Override
    public int deleteIntroductionById(Long introId)
    {
        return introductionMapper.deleteIntroductionById(introId);
    }
}
